> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Delete a grant

DELETE https://api.sigmacomputing.com/v2/grants/{grantId}

Delete a grant by grant ID.

### Usage notes

Depending on the grant object that you want to delete, you can retrieve the grantId in different ways:

* For most documents, you can retrieve the **grantId** by calling the [/v2/grants](https://help.sigmacomputing.com/reference/list-grants) endpoint with the **inodeId** for the document. For example, use the **workbookId** as the **inodeId**.
* For a dataset (deprecated), you can also retrieve the **grantId** by calling the [/v2/datasets/\{datasetId}/grants](https://help.sigmacomputing.com/reference/list-dataset-grants) endpoint.
* For a connection path, you can retrieve the **grantId** by calling the [/v2/connections/paths/\{connectionPathId}/grants](https://help.sigmacomputing.com/reference/list-connection-path-grants) endpoint.

### Usage scenarios

* **Principle of least privilege**: Revoke unnecessary privileges on a document by removing the grant.

Reference: https://help.sigmacomputing.com/reference/delete-grant

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Path parameters

- `grantId` (string, required)

## Response

### 200

The response body.

- `grantId` (string, required) — The unique identifier of the grant
- `inodeId` (string, required) — The unique identifier of the inode
- `organizationId` (string, required) — The unique identifier of the organization
- `memberId` (string, required, nullable) — The unique identifier of the member
- `teamId` (string, required, nullable) — The unique identifier of the team
- `permission` (enum or enum or enum, required) — The permission granted to the member
- `createdBy` (string, required) — The identifier of the user who created this grant
- `updatedBy` (string, required) — The identifier of the user or process that last updated this grant
- `createdAt` (datetime, required) — When the grant was created
- `updatedAt` (datetime, required) — When the grant was last updated
- `inodeType` (enum, required)
  - Allowed values: `folder`, `customFunction`, `symlink`, `versionTag`, `worksheet`, `block`, `dashboard`, `report`, `table`, `semanticView`, `metricView`, `scope`, `sql`, `workbook`, `template`, `dataset`, `datafile`, `storedProcedure`, `apiConnector`, `apiConnectorAuth`, `mcpConnector`, `warehouseAgent`, `agentSkill`, `tlsProfile`, `schedule`, `application`, `appBranch`

## Examples

**Response**

```json
{
  "grantId": "string",
  "inodeId": "string",
  "organizationId": "string",
  "memberId": "string",
  "teamId": "string",
  "permission": "admin",
  "createdBy": "string",
  "updatedBy": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "inodeType": "folder"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/grants/grantId"

headers = {"Authorization": "<token>."}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/grants/grantId';
const options = {method: 'DELETE', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/grants/grantId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/grants/grantId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.sigmacomputing.com/v2/grants/grantId")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.sigmacomputing.com/v2/grants/grantId', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/grants/grantId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/grants/grantId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```